@import url('https://fonts.googleapis.com/css2?family=Poppins&display=swap');

*, ::after, ::before {
    box-sizing: border-box;
}

html, body {
    height: 100%;
}

body {
    --sb-track-color: #232E33;
    --sb-thumb-color: #7d7d7d;
    --sb-size: 12px;

    font-family: "Poppins", serif;
    font-weight: 400;
    font-style: normal;
    font-size: 0.875rem;
    opacity: 1;
    margin: 0;
}

a {
    cursor: pointer;
    text-decoration: none;
    font-family: "Poppins", serif;
}

li {
    list-style: none;
}

h4 {
    font-family: 'Poppins', sans-serif;
    font-size: 1.275rem;
    color: var(--bs-emphasis-color);
}


.form-floating > input[type="file"].form-control {
    padding-top: 2.0rem;
}
.form-floating > input[type="file"].form-control::file-selector-button
{
    border-top: var(--bs-border-width) solid var(--bs-border-color);
    border-right: var(--bs-border-width) solid var(--bs-border-color);
    border-top-right-radius: var(--bs-border-radius);
}

.form-floating:has(input[type="file"].form-control.image-preview) {
    background-position: center;
    background-repeat: no-repeat;
    background-size: contain;
    -webkit-background-size: contain;
    -moz-background-size: contain;
    -o-background-size: contain;
    border-radius: var(--bs-border-radius) !important;
}
.form-floating > input[type="file"].form-control.image-preview {
    background-color: transparent;
    color: transparent;
}

    .form-floating > input[type="file"].form-control.image-preview::file-selector-button {
        visibility: hidden;
        color: transparent;
    }
    .form-floating > input[type="file"].form-control.image-preview::-webkit-file-upload-button {
        visibility: hidden;
        color: transparent;
    }


    ::-webkit-scrollbar {
        width: var(--sb-size)
    }

    ::-webkit-scrollbar-track {
        background: var(--sb-track-color);
        border-radius: 5px;
    }

    ::-webkit-scrollbar-thumb {
        background: var(--sb-thumb-color);
        border-radius: 5px;
        border: 2px solid #3f4548;
    }

@supports not selector(::-webkit-scrollbar) {
    body {
        scrollbar-color: var(--sb-thumb-color) var(--sb-track-color);
    }
}

/* Theme Toggler */

#theme-toggle {
    text-align: center;
    border: 1px solid black;
    background-color: var(--bs-body-color);
    /*border-radius: var(--bs-border-radius) !important;*/
}

html[data-bs-theme="dark"] #theme-toggle .fa-sun,
html[data-bs-theme="light"] #theme-toggle .fa-moon {
    cursor: pointer;
    padding: 10px;
    display: block;
    font-size: 1.25rem;
    color: var(--bs-dark-bg-subtle);
}

html[data-bs-theme="dark"] #theme-toggle .fa-moon {
    display: none;
}

html[data-bs-theme="light"] #theme-toggle .fa-sun {
    display: none;
}
